| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::SetupMetadata Class Reference
Inheritance diagram for Digikam::SetupMetadata:

## Public Types
enum | MetadataSubTab { ExifViewer = 0 , MakernotesViewer , IPTCViewer , XMPViewer , ExifToolViewer }
enum | MetadataTab { Behavior = 0 , Sidecars , Rotation , Display , ExifTool , Baloo , AdvancedConfig }

## Public Member Functions
| SetupMetadata (QWidget *const parent=nullptr)
MetadataSubTab | activeSubTab () const
MetadataTab | activeTab () const
void | applySettings ()
bool | exifAutoRotateHasChanged () const
void | setActiveSubTab (MetadataSubTab tab)
void | setActiveTab (MetadataTab tab)